Subject: [os2genau_digest] No. 1614
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 3 Mar 2008 00:00:51 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 02 March 2008
 Number  1614
**************************************************

Subjects for today
 
1  Re:  FAT32 problems : Mike O'Connor <mikeoc at internode.on dot net>
2  Re:  FAT32 problems : Ed Durrant <edurrant at durrant dot mine dot nu>
3   JFS : Alan Duval <amoht at westnet dot com dot au>
4  Re:  JFS : Peter Moylan <peter at pmoylan dot org>
5  Re:  FAT32 problems : Ed Durrant <edurrant at durrant dot mine dot nu>
6  Re:  JFS : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>

**= Email   1 ==========================**

Date:  Sun, 02 Mar 2008 06:35:38 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  FAT32 problems

Ed Durrant wrote:
> Hi - I have problems with FAT32 support under eCS 2.0 (RC3) - I'm 
> pretty sure it used to work but now, although the driver load without 
> error, when I connect a USB Key that is Fat32 formatted and can be 
> read on other systems - eCS says there no objects present (or 
> something similar).
>
> I have re-installed FAT32 from it's WPI file - still no change.
>
> Has anyone seen this ? Could it be a conflict with other file system 
> software - e.g. NTFS or EVFS support ??
>
> Cheers/2
Ed,

What is the size of that USB stick?
If it's out of a camera/printer and it's 4GiB or less, I'd say it's a 
custom VFAT FS - not necessarily FAT32.

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 02 Mar 2008 08:44:58 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  FAT32 problems

Ed Durrant wrote:
> Hi - I have problems with FAT32 support under eCS 2.0 (RC3) - I'm 
> pretty sure it used to work but now, although the driver load without 
> error, when I connect a USB Key that is Fat32 formatted and can be 
> read on other systems - eCS says there no objects present (or 
> something similar).
>
> I have re-installed FAT32 from it's WPI file - still no change.
>
> Has anyone seen this ? Could it be a conflict with other file system 
> software - e.g. NTFS or EVFS support ??
>
> Cheers/2
>
> Ed.
 
>
> 

>
Answering my own problem - the issue turned out to be the partitioning 
of this particular (Imation) USB Key - all is explained VERY WELL here:

http://www.os2voice dot org/vnl/past_issues/VNL0606H/feature_2.html#format_dialogue

This is also a very good reference about all things USB connectable !

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 02 Mar 2008 18:07:38 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   JFS

Hi,

I hope to have my new PC running within a week. If I install eCs 2.0 on 
a JFS partition should I also make my APPS and data partitions JFS 
partitions? Also is there a facility in eCs 2.0 to format existing 
partitions with JFS? Also does LVM still function with JFS?

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 02 Mar 2008 18:20:23 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  JFS

On 02/03/08 19:07, Alan Duval wrote:
> Hi,
> 
> I hope to have my new PC running within a week. If I install eCs 2.0
> on a JFS partition should I also make my APPS and data partitions JFS
>  partitions? Also is there a facility in eCs 2.0 to format existing 
> partitions with JFS? Also does LVM still function with JFS?

I can't answer the first bit (although I'm pretty sure that you can have
any mix of partition types), but LVM works fine. I'm still using eCS
1.14 - never seem to have the time to install the copy of 1.2 that I
bought over a year ago - and at some stage I decided to try out JFS on a
couple of partitions. Completely trouble-free. Once I do get time to do
a new installation I'll probably gradually convert other partitions to
JFS. It's mostly a matter of working out where to park my existing files
while I'm re-formatting; and that's usually easy to solve.

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 02 Mar 2008 18:51:10 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  FAT32 problems

Mike O'Connor wrote:
> Ed Durrant wrote:
>> Hi - I have problems with FAT32 support under eCS 2.0 (RC3) - I'm 
>> pretty sure it used to work but now, although the driver load without 
>> error, when I connect a USB Key that is Fat32 formatted and can be 
>> read on other systems - eCS says there no objects present (or 
>> something similar).
>>
>> I have re-installed FAT32 from it's WPI file - still no change.
>>
>> Has anyone seen this ? Could it be a conflict with other file system 
>> software - e.g. NTFS or EVFS support ??
>>
>> Cheers/2
> Ed,
>
> What is the size of that USB stick?
> If it's out of a camera/printer and it's 4GiB or less, I'd say it's a 
> custom VFAT FS - not necessarily FAT32.
>
> Regards,
> Mike
 
>
> 

>
Hi Mike,

  You'll see I posted an answer to this - it was a partitioning problem. 
The USB key is 1GB and I was formatting it with Win XP - I now realise 
we can format FAT32 under OS/2 using DFSee.

  In any case - the issue is that the USB key as it comes is actually 
running as a "large floppy" and has no partition created - Windoze and 
Linux are happy with this OS/2 and eCS are not.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sun, 02 Mar 2008 13:31:01 +0100
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  JFS

Duval ha scritto:
> Hi,
>
> I hope to have my new PC running within a week.
Congratulations.
> If I install eCs 2.0 on a JFS partition should I also make my APPS and 
> data partitions JFS partitions?
Not at all. But at this stage of the era and technonolgy, I would 
strongly advise against hpfs.
> Also is there a facility in eCs 2.0 to format existing partitions with 
> JFS?
You can do anything you want from the maintenace console at install type 
and later from the drives object. Or even better, using grandpa's method 
at a command prompt:

format c: (or whatever) /jfs /q

> Also does LVM still function with JFS?
>
It's the other way around my dear friend: jfs can't function without 
LVM. :-)

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------